For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all collections.
      • POSTCreate a collection.
      • GETGet a collection by ID.
      • PUTUpdate a collection by ID.
      • DELDelete a collection by ID.
      • GETGet all syncs for a given collection
      • GETGet view state for a collection.
      • PUTUpdate view state for a collection.
      • DELDelete view state for a collection.
      • GETList individual views for a collection.
      • POSTCreate an individual view.
      • PUTUpdate an individual view.
      • DELDelete an individual view.
LogoLogo
Scout DocsAccess Scout
EndpointsCollections

Delete a collection by ID.

Beta
DELETE
https://api.scoutos.com/v2/collections/:collection_id
DELETE
/v2/collections/:collection_id
$curl -X DELETE https://api.scoutos.com/v2/collections/collection_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Collection deletion has been enqueued and will complete shortly."
3}

Delete a collection. By default, enqueues deletion and returns immediately. Pass await_completion=true to block until deletion is fully complete.

Was this page helpful?
Previous

Get all syncs for a given collection

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired

Query parameters

await_completionbooleanOptionalDefaults to false
Whether to wait for collection deletion to complete before responding

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error